import * as _udecode_plate_core_react from '@udecode/plate-core/react';
import * as _udecode_plate_core from '@udecode/plate-core';
import * as _udecode_plate_utils from '@udecode/plate-utils';
import * as _udecode_slate from '@udecode/slate';

declare const CommentPlugin: _udecode_plate_core_react.PlatePlugin<_udecode_plate_core.PluginConfig<"comment", {}, {
    comment: {
        has: (options: {
            id: string;
        }) => boolean;
        node: (options?: _udecode_slate.EditorNodesOptions & {
            id?: string;
            isDraft?: boolean;
        }) => _udecode_slate.NodeEntry<_udecode_plate_utils.TCommentText> | undefined;
        nodeId: (leaf: _udecode_plate_utils.TCommentText) => string | undefined;
        nodes: (options?: _udecode_slate.EditorNodesOptions & {
            id?: string;
            isDraft?: boolean;
        }) => _udecode_slate.NodeEntry<_udecode_plate_utils.TCommentText>[];
    };
} & Record<"comment", {
    has: (options: {
        id: string;
    }) => boolean;
    node: (options?: _udecode_slate.EditorNodesOptions & {
        id?: string;
        isDraft?: boolean;
    }) => _udecode_slate.NodeEntry<_udecode_plate_utils.TCommentText> | undefined;
    nodeId: (leaf: _udecode_plate_utils.TCommentText) => string | undefined;
    nodes: (options?: _udecode_slate.EditorNodesOptions & {
        id?: string;
        isDraft?: boolean;
    }) => _udecode_slate.NodeEntry<_udecode_plate_utils.TCommentText>[];
}>, {
    comment: {
        removeMark: () => void;
        setDraft: (options?: _udecode_slate.SetNodesOptions) => void;
        unsetMark: (options: {
            id: string;
        }) => void;
    };
} & Record<"comment", {
    removeMark: () => void;
    setDraft: (options?: _udecode_slate.SetNodesOptions) => void;
    unsetMark: (options: {
        id: string;
    }) => void;
}>, {}>>;

declare const useCommentId: () => string | undefined;

export { CommentPlugin, useCommentId };
